Home Information Classes Download Usage Mail List Requirements Links Tutorial

# SingWave Class Reference

STK "singing" looped soundfile class. More...

`#include <SingWave.h>`

Inheritance diagram for SingWave:

List of all members.

## Public Member Functions

| SingWave (const char *fileName, bool raw=FALSE)
| Class constructor taking filename argument.
| ~SingWave ()
| Class destructor.
void | reset ()
| Reset file to beginning.
void | normalize ()
| Normalize the file to a maximum of +-1.0.
void | normalize (MY_FLOAT peak)
| Normalize the file to a maximum of +- peak.
void | setFrequency (MY_FLOAT frequency)
| Set instrument parameters for a particular frequency.
void | setVibratoRate (MY_FLOAT aRate)
| Set the vibrato frequency in Hz.
void | setVibratoGain (MY_FLOAT gain)
| Set the vibrato gain.
void | setRandomGain (MY_FLOAT gain)
| Set the random-ness amount.
void | setSweepRate (MY_FLOAT aRate)
| Set the sweep rate.
void | setGainRate (MY_FLOAT aRate)
| Set the gain rate.
void | setGainTarget (MY_FLOAT target)
| Set the gain target value.
void | noteOn ()
| Start a note.
void | noteOff ()
| Stop a note.
MY_FLOAT | lastOut ()
| Return the last output value.
MY_FLOAT | tick ()
| Compute one output sample.

## Detailed Description

STK "singing" looped soundfile class.

This class contains all that is needed to make a pitched musical sound, like a simple voice or violin. In general, it will not be used alone because of munchkinification effects from pitch shifting. It will be used as an excitation source for other instruments.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 23 of file SingWave.h.

## Constructor & Destructor Documentation

SingWave::SingWave | ( | const char * | fileName,
|  | bool | raw = FALSE
| ) |

| Class constructor taking filename argument. An StkError will be thrown if the file is not found, its format is unknown, or a read error occurs.

The documentation for this class was generated from the following file:

- SingWave.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.